Subject: bug#54040: 29.0.50; Text becomes blurry on PGTK/Wayland

From: Po Lu <[email-masked]>
Date: Fri, 18 Feb 2022 18:15:41 +0800

Thomas Jost <[email-masked]> writes:

> Could it be related to some difference between the window size requested
> by Emacs, and the size assigned by sway?

No, it's probably some edge case with GTK's device scaling we're bumping
into when a frame partly extends (by one or two pixels) into the other
monitor.

Could you try to find the value of `scale' in `pgtk_copy_bits' when it
is called with the frame potentially extended into the other monitor,
perhaps by placing a breakpoint or inserting some print statements at
line 2941 of pgtkterm.c?

Thanks.